Subject: bug#42309: 28.0.50; ElDoc no longer uses the mode line

From: Juri Linkov <[email-masked]>
Date: Sun, 12 Jul 2020 02:43:47 +0300

>> Since a few days ago, typing an expression in the minibuffer no longer
>> shows ElDoc information on the mode line; instead it shows it in the
>> minibuffer, after the cursor.  Is this change intentional?  I see
>> nothing about it in NEWS.  It seems to have started when the ElDoc
>> changes were merged from the branch.
>
> No, this change is _not_ intentional.  It didn't bother me,
> so I assumed someone else had intended it and done it. I
> will see what I can do as soon as possible.
>
> (Though, for an accidental feature, you could do worse...)

Shouldn't this be optional with a new defcustom?
Because this accidental feature looks really nice :-)